## eric 18.05

=== debian/changelog ===
eric (18.05-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS caused by nonexistent README file. (Closes: #903329)
  * Add missing runtime dependency python3-distutils. (Closes: #903717)
  * Do not compress source.qch help document.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 19 Jul 2018 13:41:47 +0800

eric (18.05-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Gudjon I. Gudjonsson ]
  * New upstream release (Closes: #892889)
  * Fix watch file
  * Remove CharDet, Pygments and enum instead of whole
    ThirdParty directory.
    Adding ThirdParty/Jasy (Closes: #853098)
  * Update copyright file
  * Bump standards version to 4.1.4
    get-orig-source has not been removed
  * Change python-chardet dependency to python3-chardet
  * Add dependency on libjs-jquery
  * Add dependency on libjs-jquery-isonscreen
  * Add dependency on libjs-jquery-hotkeys
  * Add dependency on libjs-jquery-tablesorter
  * Add dependency on libjs-jquery-ui
  * Remove unavailable translation files
  * Fix path to translation files
  * Update patch 03_disable-update-warning. Eric doesn't check
    for updates at startup nor check for updated plugin directory.
  * Update all patches
  * Fix path to qt5 documentation
  * Remove unneeded X-Python-Version from control file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 15 Apr 2018 21:30:46 +0200
