=== debian/watch ===
version=3
http://sf.net/eric-ide/eric6-(\d\S+)\.tar\.gz
