## eric 19.01+ds1

=== debian/changelog ===
eric (19.01+ds1-1) unstable; urgency=medium

  * New upstream release 19.01.
  * debian/control:
    + Bump debhelper compat to v12.
    + Declare compliance with debian-policy 4.3.0.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Jan 2019 18:49:32 -0500

eric (18.11+ds1-1) unstable; urgency=medium

  * New upstream release 18.11.
  * debian/README.source: Add some instruction about how to prepare
    new version using "gbp import-orig".

 -- Boyuan Yang <byang@debian.org>  Thu, 01 Nov 2018 16:05:32 -0400

eric (18.10+ds1-4) unstable; urgency=medium

  * debian/rules:
    + Migrate to debhelper v7 (dh) syntax.
    + Remove code about custom api generation.
    + Remove unnecessary get-orig-source target. uscan(1) will
      handle it.
  * debian/control: Remove unnecessary build-dependency to python3.
  * debian/changelog: Remove trailing empty line.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Oct 2018 12:06:03 -0400

eric (18.10+ds1-3) unstable; urgency=high

  * debian/rules: Fix broken symlink for jquery-ui (Closes: #910412).
  * debian/rules: Use uscan (debian/watch) for get-orig-source target.
  * debian/debian-manpages: Add eric6_browser(1).

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Oct 2018 10:53:13 -0400

eric (18.10+ds1-2) unstable; urgency=medium

  * debian/install: Drop obsolete .xpm file.
  * debian/desktop: Do not install debian-customized .desktop file.
  * debian/rules:
    + Drop instruction to remove README-PyXML.txt, this file no longer
      exists.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Oct 2018 09:57:19 -0400

eric (18.10+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol.

  [ Boyuan Yang ]
  * New upstream version 18.10.
    + Remove jquery source code and generate a +ds1 tarball.
  * debian: Apply "wrap-and-sort -abst".
  * debian/control:
    + Add new recommendation python3-pyqt5.qtwebengine for qtwebengine
      support.
    + Update recommendation python-rope to python3-rope.
  * debian/watch: Update watch files for +ds tarball.
  * debian/copyright: Update Files-Excluded field for +ds tarball.
  * debian/eric.desktop: Minor updates with grammar and zh_CN translation.
  * debian/rules:
    + Remove translation retrieval in get-orig-source.
    + Remove instructions to remove web browser;
      current browser is indeed working correctly.
    + Use "dh_missing --fail-missing".
  * debian/get_translations: Remove useless get_translations.sh.
  * debian/README.source: Update information.
  * debian/copyright: Update Source field.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Oct 2018 13:47:39 -0400

eric (18.08-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.2.1 no changes needed
  * Refresh most patches and merged patch 05 and 07
  * Fix get-orig-source target. Javascript files no longer in orig source
  * Add symbolic links to Debian jquery files instead of the ones
    shipped with the sources.
  * Add Boyuan Yang <byang@debian.org> as a co-maintainer.

  [ Boyuan Yang ]
  * debian/changelog: Remove some trailing spaces
  * Bump debhelper compat to v11

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 27 Sep 2018 19:22:26 -0400
