## eric 19.02.1+ds1

=== debian/changelog ===
eric (19.02.1+ds1-1) unstable; urgency=medium

  * New upstream release 19.02.1.
  * debian/copyright: Update copyright information for CC-BY-3.0
    licensed appdata metadata file.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Feb 2019 19:03:49 -0500
