## eric 20.2%2Bds1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf debian/eric
	rm -rf debian/eric-api-files
	rm -f debian/debhelper-build-stamp
	rm -f eric6config.py
	rm -rf install_scripts/
	find . -name '*.py[co]' -delete;
	find . -name "Ui_*" -exec rm {} \;
	find . -name __pycache__ -prune | xargs rm -rf

override_dh_auto_build:
	# Nothing to be built

override_dh_auto_install:
	#
	# Customized installation script, provided by upstream
	# For argument explanation, see "python3 ./install.py --help"
	python3 install.py -i debian/eric -x -c -z -b /usr/bin -f debian/eric6config.debian
	#
	# Generate .qm translation files from source
	for i in eric/eric6/i18n/*.ts; do \
	    lrelease -qt=5 $$i -qm debian/eric/usr/share/qt5/translations/`basename $$i .ts`.qm; \
	done
	#
	# Split API files into separate binary package eric-api-files
	mv debian/eric/usr/share/eric/api/* debian/eric-api-files/usr/share/eric/api
	#
	# Remove LICENSE.GPL3 file from documentation directory.
	rm -f debian/eric/usr/share/eric/modules/LICENSE.GPL3*
	rm -f debian/eric/usr/share/doc/eric/LICENSE.GPL3
	#
	# Remove the ThirdParty libraries that are not needed.
	rm -rf debian/eric/usr/share/eric/modules/ThirdParty/CharDet
	rm -rf debian/eric/usr/share/eric/modules/ThirdParty/enum
	rm -rf debian/eric/usr/share/eric/modules/ThirdParty/Pygments
	rm -rf debian/eric/usr/share/eric/modules/ThirdParty/asttokens
	rm -rf debian/eric/usr/share/eric/modules/ThirdParty/Send2Trash
	#Remove unused examples directory
	rmdir debian/eric/usr/share/doc/eric/examples
	#
	# Clean up __pycache__ directory
	find . -name __pycache__ -prune | xargs rm -rf
	#
	#Add symbolic links to jquery files.
	mkdir debian/eric/usr/share/eric/modules/WebBrowser/data/javascript
	cd debian/eric/usr/share/eric/modules/WebBrowser/data/javascript && ln -s /usr/share/javascript/jquery/jquery.js .
	cd debian/eric/usr/share/eric/modules/WebBrowser/data/javascript && ln -s /usr/share/javascript/jquery-ui/jquery-ui.js .
	cp -f $(CURDIR)/eric/linux/eric6.desktop $(CURDIR)/debian/eric/usr/share/applications/eric6.desktop
	cp -f $(CURDIR)/eric/linux/eric6_browser.desktop $(CURDIR)/debian/eric/usr/share/applications/eric6_browser.desktop

override_dh_compress:
	# Qch Help files should not be compressed
	dh_compress --exclude=source.qch

override_dh_installchangelogs:
	dh_installchangelogs eric/docs/changelog

override_dh_missing:
	dh_missing --fail-missing
