## eric 20.2+ds1

=== debian/changelog ===
eric (20.2+ds1-1) unstable; urgency=medium

  * New upstream release 20.2. 
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + debian/rules: Use dh_sequence_python3.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2020 17:18:05 -0500

eric (20.1+ds1-1) unstable; urgency=medium

  * New upstream release 20.01.
  * debian/changelog: Bump copyright year to 2020.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Jan 2020 12:10:08 -0500

eric (19.12+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Boyuan Yang ]
  * New upstream release 19.12.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
  * debian/patches: Refresh all patches.
  * debian/rules: Also install upstream changelog.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Dec 2019 17:11:00 -0500

eric (19.8+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.
  * d/changelog: Remove trailing whitespaces.

  [ Gudjon I. Gudjonsson ]
  * Fix new path in exclude files
  * New upstream release
  * Fix paths in docs file
  * Update eric config file
  * Fix patch 01_path_fix
  * Fix patch disable-update-warning
  * Fix patch debian_chardet
  * Fix patch no_blacklist
  * Fix patch desktop
  * Add patch to fix installdir
  * Fix clean target and eric6 directory in rules file
  * Fix new paths in rules file
  * Remove thirdparty asttokens, add dependency on python3-asttokens
  * Remove thirdparty Send2Trash, add dependency on python3-send2trash
  * Fix copyright file
  * Fix api files directory
  * Change all directories back to earlier Debian package directories
  * Remove unnecessary link to examples
  * Add patch fix_asttokens_import to fix import of debian package
  * Copy desktop files to correct location. Otherwise the patched files
    are not used.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 24 Aug 2019 11:16:35 +0200
