=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
  Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
+ dh-sequence-python3,
 Build-Depends-Indep:
- dh-python,
  pyqt5-dev,
  python3-all,
  python3-pyqt5,
  python3-pyqt5.qsci,
  python3-sip-dev,
  qttools5-dev-tools,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://eric-ide.python-projects.org/
 Vcs-Git: https://salsa.debian.org/python-team/applications/eric.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/eric
@@ -36,6 +37,8 @@
  python3-pyqt5.qtsql,
  python3-pyqt5.qtsvg,
  python3-pyqt5.qtwebkit,
+ python3-asttokens,
+ python3-send2trash,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -45,11 +48,7 @@
 Suggests:
  pyqt5-dev-tools,
  pyqt5-doc,
- python-doc,
- python-profiler,
- python-qt4-doc,
  python3-doc,
- qt4-doc-html,
  qt5-doc-html,
  qtbase5-doc-html,
  qttools5-dev,
