## eric 20.8+ds1

=== debian/changelog ===
eric (20.8+ds1-1) unstable; urgency=medium

  * New upstream release 20.8.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Aug 2020 16:41:01 -0400

eric (20.7+ds1-1) unstable; urgency=medium

  * New upstream release 20.7.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jul 2020 11:16:57 -0400

eric (20.6+ds1-1) unstable; urgency=medium

  * New upstream release 20.6.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Jun 2020 19:41:24 -0400

eric (20.5+ds1-1) unstable; urgency=medium

  * New upstream release 20.5.
  * debian/upstream/metadata: Update metadata about upstream
    repositories and issue tracker.
  * debian/patches: Refresh patches.
  * debian/rules: Use debhelper v13 syntax.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 3.8.2-2.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Archive, Repository.

 -- Boyuan Yang <byang@debian.org>  Mon, 04 May 2020 15:49:14 -0400

eric (20.3+ds1-1) unstable; urgency=medium

  * New upstream release 20.3.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Mar 2020 14:14:43 -0400
