=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
  Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-python3,
 Build-Depends-Indep:
  pyqt5-dev,
@@ -17,7 +17,7 @@
  qttools5-dev-tools,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: http://eric-ide.python-projects.org/
+Homepage: https://eric-ide.python-projects.org/
 Vcs-Git: https://salsa.debian.org/python-team/applications/eric.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/eric
