=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 %:
 	dh $@
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	rm -rf debian/eric
 	rm -rf debian/eric-api-files
 	rm -f debian/debhelper-build-stamp
@@ -66,6 +65,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs eric/docs/changelog
-
-override_dh_missing:
-	dh_missing --fail-missing
