## eric 21.1+ds1

=== debian/changelog ===
eric (21.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/0006-qt5_applications: Dropped, merged upstream.
  * debian/control: Recommends python3-pyqtchart. This package does
    not exist in Debian yet.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Jan 2021 12:08:43 -0500

eric (20.12+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/patches: Refresh patches.
  * debian/copyright: Document the license of qwebchannel.js.
  * debian/patches: Do not crash when qt5_applications module is
    not present.

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Dec 2020 13:35:49 -0500
