=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
  python3-pyqt5.qsci,
  python3-sip-dev,
  qttools5-dev-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://eric-ide.python-projects.org/
-Vcs-Git: https://salsa.debian.org/python-team/applications/eric.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/eric
+Vcs-Git: https://salsa.debian.org/python-team/packages/eric.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/eric
 
 Package: eric
 Architecture: all
@@ -45,6 +45,7 @@
  eric-api-files,
  python3-rope,
  python3-pyqt5.qtwebengine,
+ python3-pyqtchart,
 Suggests:
  pyqt5-dev-tools,
  pyqt5-doc,
