=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,6 @@
 	find . -name __pycache__ -prune | xargs rm -rf
 	#
 	#Add symbolic links to jquery files.
-	mkdir debian/eric/usr/share/eric/modules/WebBrowser/data/javascript
 	cd debian/eric/usr/share/eric/modules/WebBrowser/data/javascript && ln -s /usr/share/javascript/jquery/jquery.js .
 	cd debian/eric/usr/share/eric/modules/WebBrowser/data/javascript && ln -s /usr/share/javascript/jquery-ui/jquery-ui.js .
 	cp -f $(CURDIR)/eric/linux/eric6.desktop $(CURDIR)/debian/eric/usr/share/applications/eric6.desktop
