## eric 23.2+ds1

=== debian/changelog ===
eric (23.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * Remove patches 5-fix-browser-crash and 6-fix-speeddial.
    Implemented in upstream
  * Add dependency on python3-coverage
  * Remove coverage from copyright file
  * Remove extra license file, LICENSE.txt

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 06 Feb 2023 17:25:51 +0000

eric (23.1.1+ds1-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/patches: Refresh all patches; drop useless patches.
  * debian/control: Add missing build-dependency python3:any.

  [ Gudjon I. Gudjonsson ]
  * New upstream release
    - Fixes crash with python ≥ 3.10. (Closes: #1011310, #1024614)
  * Rebase patches
  * Update dependencies to qt6
  * Update paths in copyright and remove jquery files
  * Update eric7config.debian
  * Update rules
  * Fix clean target
  * Rename and replace eric6 by eric7 in manpages.
    Rename eric6.1 to eric7_ide.1
  * Fix manpages install file
  * eric6 -> eric7 in links file
  * debian/control: Bump Standards-Version to 4.6.1, no changes needed
  * debian/control: Add dependency on isort and qtserialport
  * debian/copyright: Remove unused licenses
  * debian/eric7config.debian: Move python files to python/dist-packages
  * debian/control: Add dependency on python3- qthelp, qtwebengine, parso,
    jedi, isort
  * debian/links: link to eric7_ide
  * debian/patches/0002-disable-update-warning. Don't disable update of eric
    plugins, only program
  * debian/control: Add dependency on trove-classifiers, pyqt6.qtcharts
  * 0001-path_fix.patch: Fix documentation paths
  * Add 0005-fix-browser-crash from upstream
  * Add 0006-fix-speeddial patch from upstream
  * Fix manpages
  * Fix manpage name eric7.1 -> eric.1"
  * debian/rules: Remove empty directories
  * Add lintian-overrides file
  * debian/copyright: Add Apache-2 license for the coverage files.
  * Remove coverage doc directory. Not needed or used.
  * debian/rules: Remove useless lines
  * Move making symbolic links from rules to debian/links
  * debian/rules add --no-info to install.py (Closes: #976715)

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 13 Jan 2023 07:25:54 +0000

eric (21.1+ds1-2) unstable; urgency=medium

  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Sep 2021 23:49:33 -0400
