=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
 Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
+ Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ python3:any,
 Build-Depends-Indep:
- pyqt5-dev,
+ pyqt6-dev,
  python3-all,
- python3-pyqt5,
- python3-pyqt5.qsci,
+ python3-pyqt6,
+ python3-pyqt6.qsci,
  python3-sip-dev,
- qttools5-dev-tools,
-Standards-Version: 4.5.1
+ pyqt6-dev-tools,
+ qt6-l10n-tools,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://eric-ide.python-projects.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/eric.git
@@ -32,27 +34,33 @@
  python3-chardet,
  python3-distutils,
  python3-pygments,
- python3-pyqt5,
- python3-pyqt5.qsci,
- python3-pyqt5.qtsql,
- python3-pyqt5.qtsvg,
- python3-pyqt5.qtwebkit,
+ python3-trove-classifiers,
+ python3-pyqt6,
+ python3-pyqt6.qsci,
+ python3-pyqt6.qtsvg,
  python3-asttokens,
  python3-send2trash,
+ python3-editorconfig,
+ python3-pyqt6.qtserialport,
+ python3-pyqt6.qthelp,
+ python3-pyqt6.qtwebengine,
+ python3-pyqt6.qtcharts,
+ python3-parso,
+ python3-jedi,
+ python3-isort,
+ python3-coverage,
+ black,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
  eric-api-files,
  python3-rope,
- python3-pyqt5.qtwebengine,
- python3-pyqtchart,
 Suggests:
- pyqt5-dev-tools,
+ pyqt6-dev-tools,
  pyqt5-doc,
  python3-doc,
  qt5-doc-html,
  qtbase5-doc-html,
- qttools5-dev,
  ruby,
 Description: full featured Python IDE
  eric is a full featured Python IDE written in PyQt using the QScintilla
