=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@

execute_after_dh_clean:
	rm -rf debian/eric
	rm -rf debian/eric-api-files
	rm -f debian/debhelper-build-stamp
	rm -f eric7config.py
	rm -rf install_scripts/
	find . -name '*.py[co]' -delete;
	find . -name "Ui_*" -exec rm {} \;
	find . -name __pycache__ -prune | xargs rm -rf
	rm -f eric7config.py

override_dh_auto_build:
	# Nothing to be built

override_dh_auto_install:
	#
	# Customized installation script, provided by upstream
	# For argument explanation, see "python3 ./install.py --help"
	python3 install.py -i debian/eric -x -c -z -b /usr/bin -f debian/eric7config.debian --no-info
	#
	# Generate .qm translation files from source
	for i in eric/src/eric7/i18n/*.ts; do \
	    /usr/lib/qt6/bin/lrelease $$i -qm debian/eric/usr/share/qt6/translations/`basename $$i .ts`.qm; \
	done
	#
	# Split API files into separate binary package eric-api-files
	mv debian/eric/usr/share/eric/api/* debian/eric-api-files/usr/share/eric/api
	#
	# Remove LICENSE.GPL3 file from documentation directory.
	rm -f $(CURDIR)/debian/eric/usr/lib/python3/dist-packages/eric7/LICENSE.txt
	rm -f $(CURDIR)/debian/eric/usr/share/doc/eric/LICENSE.txt

	rm -f debian/eric/usr/share/doc/eric/changelog.gz
	#Remove unused examples directory
	#rmdir debian/eric/usr/share/doc/eric/examples
	#
	# Clean up __pycache__ directory
	find . -name __pycache__ -prune | xargs rm -rf
	#
	cp -f $(CURDIR)/eric/src/eric7/data/linux/eric7_ide.desktop $(CURDIR)/debian/eric/usr/share/applications/eric7_ide.desktop
	cp -f $(CURDIR)/eric/src/eric7/data/linux/eric7_browser.desktop $(CURDIR)/debian/eric/usr/share/applications/eric7_browser.desktop
	# Remove coverage doc directory
	rm -rf $(CURDIR)/debian/eric/usr/lib/python3/dist-packages/eric7/DebugClients/Python/coverage/doc/
	#Remove empty directories
	rmdir $(CURDIR)/debian/eric/usr/share/doc/eric/examples
	rmdir $(CURDIR)/debian/eric/usr/share/eric/DTDs
	rmdir $(CURDIR)/debian/eric/usr/share/eric/api

override_dh_compress:
	# Qch Help files should not be compressed
	dh_compress --exclude=source.qch
