## eric 24.3+ds1

=== debian/changelog ===
eric (24.3+ds1-1) unstable; urgency=medium

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Fix patches
  * Remove README-i18n.rst and rename README.rst in docs file
  * Add binary dependency on python3-pyqt6.qtpdf,python3-pyqt6.qtwebsockets,
    python3-semver
  * Remove Jasy from copyright file
  * Add manpages for eric7_pip and eric7_pdf

  [ Andreas Tille ]
  * Swap Maintainer and Uploaders to make DPT maintainer
  * Drop distutils from Depends
    Closes: #1065855
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Lintian-overrides (see lintian bug #1017966)
  * Drop python3-sip-dev from Build-Depends
    Closes: #1060736
  * Python2 is not supported any more thus close bug about Python2 issue
    Closes: #778428

 -- Andreas Tille <tille@debian.org>  Mon, 18 Mar 2024 20:55:27 +0100

eric (23.2+ds1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Remove myself from uploaders list.

  [ Gudjon I. Gudjonsson ]
  * debian/control: Add dependency on libqt6sql6-sqlite. (Closes: #1031373)

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Dec 2023 09:50:51 -0500
