=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: eric
 Section: devel
 Priority: optional
-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
- Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -14,7 +12,6 @@
  python3-all,
  python3-pyqt6,
  python3-pyqt6.qsci,
- python3-sip-dev,
  pyqt6-dev-tools,
  qt6-l10n-tools,
 Standards-Version: 4.6.2
@@ -32,10 +29,10 @@
  libjs-jquery-tablesorter,
  libjs-jquery-ui,
  python3-chardet,
- python3-distutils,
  python3-pygments,
  python3-trove-classifiers,
  python3-pyqt6,
+ python3-pyqt6.qtpdf,
  python3-pyqt6.qsci,
  python3-pyqt6.qtsvg,
  python3-asttokens,
@@ -45,10 +42,13 @@
  python3-pyqt6.qthelp,
  python3-pyqt6.qtwebengine,
  python3-pyqt6.qtcharts,
+ python3-pyqt6.qtwebsockets,
  python3-parso,
  python3-jedi,
  python3-isort,
  python3-coverage,
+ python3-semver,
+ libqt6sql6-sqlite,
  black,
  ${misc:Depends},
  ${python3:Depends},
