## eric 24.8+ds1

=== debian/changelog ===
eric (24.8+ds1-1) unstable; urgency=medium

  * Team Upload
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Rebase patches
  * Add dependency on python3-watchdog
  * Remove unneded clean target in rules
  * Bump standards version to 4.7.0. No changes needed
  * Add dependency on python3-fido2
  * Add manpages for eric7_fido2 and eric7_mpy
  * Add lintian override uses-deprecated-python-stdlib, false positives
  * Remove appdata directory. Fixes a lintian error

  [ наб ]
  * Use publicsuffix's effective_tld_names.dat instead of shipping embedded copy

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 22:38:48 +0200
