=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: eric
 Section: devel
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
-Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -14,7 +14,8 @@
  python3-pyqt6.qsci,
  pyqt6-dev-tools,
  qt6-l10n-tools,
-Standards-Version: 4.6.2
+ publicsuffix,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://eric-ide.python-projects.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/eric.git
@@ -29,6 +30,7 @@
  libjs-jquery-tablesorter,
  libjs-jquery-ui,
  python3-chardet,
+ python3-fido2,
  python3-pygments,
  python3-trove-classifiers,
  python3-pyqt6,
@@ -48,7 +50,9 @@
  python3-isort,
  python3-coverage,
  python3-semver,
+ python3-watchdog,
  libqt6sql6-sqlite,
+ publicsuffix,
  black,
  ${misc:Depends},
  ${python3:Depends},
