=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,6 @@
 
 %:
 	dh $@
-
-execute_after_dh_clean:
-	rm -rf debian/eric
-	rm -rf debian/eric-api-files
-	rm -f debian/debhelper-build-stamp
-	rm -f eric7config.py
-	rm -rf install_scripts/
-	find . -name '*.py[co]' -delete;
-	find . -name "Ui_*" -exec rm {} \;
-	find . -name __pycache__ -prune | xargs rm -rf
-	rm -f eric7config.py
 
 override_dh_auto_build:
 	# Nothing to be built
@@ -56,6 +45,9 @@
 	rmdir $(CURDIR)/debian/eric/usr/share/doc/eric/examples
 	rmdir $(CURDIR)/debian/eric/usr/share/eric/DTDs
 	rmdir $(CURDIR)/debian/eric/usr/share/eric/api
+	rm -rf $(CURDIR)/debian/eric/usr/share/appdata
+	# Remove embedded copy of publicsuffix data
+	find $(CURDIR)/debian/eric -name effective_tld_names.dat -delete
 
 override_dh_compress:
 	# Qch Help files should not be compressed
